Konica Minolta magicolor 1600W :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: gdcondor ()
Date: March 02, 2010 10:30AM

Hello,

I bought a magicolor 1600W and it was recognized immediately on Ubuntu 9.10 without any user action : perfect ! (It's a new basic Ubuntu 9.10 installation without any user-configuration or tricks)
But when I try to print, it works through openoffice and some pdf files but most pdf files didn't print (the "ready"-led on my printer was just blinking)

After hours I found that :
foo2lava-wrapper -r1200x600 -g9920x7016 -p26 -m0 -n1 -d1 -s255 -c -u 208x100 -l 208x100
and by trying manually I found that the argument -g9920x7016 made gs failed (unrecoverable error)
So manually without this argument it's working :
foo2lava-wrapper -r1200x600 -p26 -m0 -n1 -d1 -s255 -c -u 208x100 -l 208x100 sortie.ps > xxx.prn
sudo cp xxx.prn /dev/usb/lp0

how can I remove this argument from cups (if it's in cups I don't know exactly how it's working) ? And what is this argument ? I read in man that -g is for additionnal gs parameters...

Thanks for your help and great job !



Edited 1 time(s). Last edit at 03/02/2010 11:12AM by rickrich.

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper
Posted by: rickrich ()
Date: March 02, 2010 10:58AM

$ cd foo2zjs

$ grep -- -g PPD/KONICA_MINOLTA-magicolor_1600W.ppd
$

$ grep -- -g /etc/cups/ppd/mc1600Wc.ppd               # Varies
$

No idea. PPD file doesn't specify it.

Did you install from MY source??? Third parties (i.e. Ubuntu) are *NOT* supported.



Edited 3 time(s). Last edit at 03/02/2010 11:12AM by rickrich.

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: gdcondor ()
Date: March 02, 2010 12:59PM

I tried both versions (Ubuntu and yours) without any difference (if I install yours correctly !)

I don't see any -g options in the PPD file from Ubuntu either.

But in the script foo2lava-wrapper I found this :

foo2zjs-pstops $PSTOPS_OPTS | \
$PREFILTER \
| ($GS $PAPERSIZE -g$DIM -r$RES $GSDEV $GSOPTS \
    -sOutputFile="|cat 1>&3" $GAMMAFILE -_ >/dev/null) 3>&1 \
| foo2lava -r$RES -g$DIM -p$PAPER -m$MEDIA -n$COPIES -d$DUPLEX -s$SOURCE \
            -z$MODEL $COLOR $CLIP_UL $CLIP_LR $CLIP_LOG $SAVETONER \
            -J "$LPJOB" -U "$USER" \
            $BC $AIB $COLOR2MONO $NOPLANES $EXTRAPAD -D$DEBUG

and $DIM is related to :

26|a4|A4)       PAPER=26;       paper=a4;        XDIM="9920";  YDIM="7016"

I don't know why it makes gs (8.70) crash, maybe this option changed... I will try to remove it from the wrapper

Thanks for your help !

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: rickrich ()
Date: March 02, 2010 01:08PM

That is normal.

Work fine on gs 8.70 in Fedora 12.

You did update your distro??

$ sudu apt-get upgrade

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: rickrich ()
Date: March 02, 2010 01:22PM

Work good here on Ubuntu 9.10 with all updates applied. Printed the testpage.
rick@rick-vbox:~$ cat /etc/issue
Ubuntu 9.10 \n \l

rick@rick-vbox:~$ gs -version
GPL Ghostscript 8.70 (2009-07-31)
Copyright (C) 2009 Artifex Software, Inc.  All rights reserved.

rick@rick-vbox:~$ grep foo2lava /var/log/messages
Mar  2 12:15:34 rick-vbox foo2lava-wrapper: foo2lava-wrapper -z2 -c -C10 -r1200x600 -p26 -m0 -s255 -d1 -Gkm-1600-rgb-392-bpp1.icm
Mar  2 12:15:34 rick-vbox foo2lava-wrapper: foo2zjs-icc2ps -o /usr/share/foo2lava/icm/km-1600-rgb-392-bpp1.icm -t0 > /tmp/icc3283.crd.ps
Mar  2 12:15:42 rick-vbox foo2lava-wrapper: gs -sPAPERSIZE=a4 -g9920x7016 -r1200x600 -sDEVICE=bitcmyk -dCOLORSCREEN -dMaxBitmap=500000000  /tmp/icc3283.usecie.ps /tmp/icc3283.crd.ps /tmp/icc3283.selcrd.ps
Mar  2 12:15:42 rick-vbox foo2lava-wrapper: foo2lava -r1200x600 -g9920x7016 -p26 -m0 -n1 -d1 -s255 -z2 -c -u 208x100 -l 208x100   -B -A   
rick@rick-vbox:~$





Edited 1 time(s). Last edit at 03/02/2010 01:28PM by rickrich.

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: gdcondor ()
Date: March 02, 2010 02:57PM

Yes my distro is up-to-date, I just installed Ubuntu 9.10 on a new computer with all the default parameters and official repositories and packages (with a complete upgrade of the packages after install) and then plugged the printer

But after other tests I'm not sure that it comes from foo2lava, I tried to print another pdf (with Evince) and it seems to stall, here is the log :
Mar  2 19:43:17 minipcdor foo2lava-wrapper: foo2lava-wrapper -z2 -c -C2 -r1200x600 -p26 -m0 -s255 -d1 -Gkm-1600-rgb-392-bpp1.icm

If I try manually with the same pdf file, it doesn't work either (it stalls when I'm trying to copy to /dev/usb/lp0) :
foo2lava-wrapper -z2 -c -C2 -r1200x600 -p26 -m0 -s255 -d1 -Gkm-1600-rgb-392-bpp1.icm rdc.pdf > xxx.prn
sudo cp xxx.prn /dev/usb/lp0

But if I convert to .ps with Evince (File -> Print) I can print it manually with :
foo2lava-wrapper -z2 -c -C2 -r1200x600 -p26 -m0 -s255 -d1 -Gkm-1600-rgb-392-bpp1.icm rdc.ps > xxx.prn
sudo cp xxx.prn /dev/usb/lp0
but still not directly in Evince

Sorry for the long message I'm a bit lost and I'm not sure it comes from foo2lava but more from some ps conversion done by cups or I don't know what :(

Options: ReplyQuote
Re: Pb between gs and foo2lava-wrapper [Ubuntu 9.10]
Posted by: rickrich ()
Date: March 02, 2010 04:30PM

foo2lava-wrapper only works with Postscript files, NOT PDF files.
foo2lava-wrapper(1)                                        foo2lava-wrapper(1)

NAME
       foo2lava-wrapper  -  Convert  Postscript into a LAVAFLOW or OPL printer
       stream

SYNOPSIS
       foo2lava-wrapper [options] [ps-file]

DESCRIPTION
       foo2lava-wrapper is a  Foomatic  compatible  printer  wrapper  for  the
       foo2lava  printer  driver.   This  script reads a Postscript ps-file or
       standard input and converts it to Zenographics LAVAFLOW printer  format
       for  driving  the  Konica Minolta magicolor 2530 DL network color laser
       printer, the Konica Minolta magicolor 2480/2490  MF  AIO  printer,  and
       other Zenographics-based LAVAFLOW printers.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.